Package org.eclipse.remote.telnet.core

## Class TelnetConnection.Factory

- java.lang.Object
- - org.eclipse.remote.telnet.core.TelnetConnection.Factory

All Implemented Interfaces:
  `IRemoteConnection.Service.Factory`

Enclosing class:
  TelnetConnection

    public static class TelnetConnection.Factory
    extends Object
    implements IRemoteConnection.Service.Factory

### Constructor Summary

Constructors
`Factory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T extends IRemoteConnection.Service> T` `getService​(IRemoteConnection remoteConnection, Class<T> service)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Factory

    public Factory()

### Method Detail

#### getService

    public <T extends IRemoteConnection.Service> T getService​(IRemoteConnection remoteConnection,
                                                              Class<T> service)

Specified by:
  `getService` in interface `IRemoteConnection.Service.Factory`